using System;

namespace BeWo.Data.Entities
{
    public class Login : BeWoEntityBase
    {
        public static string PropertyName_Browser = "Browser";

        public static string PropertyName_HostName = "HostName";

        public static string PropertyName_IPAddress = "IPAddress";

        public static string PropertyName_LoginDate = "LoginDate";

        public static string PropertyName_LoginName = "LoginName";

        public static string PropertyName_Password = "Password";

        public static string PropertyName_Referrer = "Referrer";

        private string _Browser;

        private string _HostName;

        private string _IPAddress;

        private DateTime? _LoginDate;

        private string _LoginName;

        private string _Password;

        private string _Referrer;

        public virtual string Browser
        {
            get
            {
                return this._Browser;
            }

            set
            {
                if (this.AreDifferent(this._Browser, value))
                {
                    this._Browser = value;
                }
            }
        }

        public virtual string HostName
        {
            get
            {
                return this._HostName;
            }

            set
            {
                if (this.AreDifferent(this._HostName, value))
                {
                    this._HostName = value;
                }
            }
        }

        public virtual string IPAddress
        {
            get
            {
                return this._IPAddress;
            }

            set
            {
                if (this.AreDifferent(this._IPAddress, value))
                {
                    this._IPAddress = value;
                }
            }
        }

        public virtual DateTime? LoginDate
        {
            get
            {
                return this._LoginDate;
            }

            set
            {
                if (this.AreDifferent(this._LoginDate, value))
                {
                    this._LoginDate = value;
                }
            }
        }

        public virtual string LoginName
        {
            get
            {
                return this._LoginName;
            }

            set
            {
                if (this.AreDifferent(this._LoginName, value))
                {
                    this._LoginName = value;
                }
            }
        }

        public virtual string Password
        {
            get
            {
                return this._Password;
            }

            set
            {
                if (this._Password != value)
                {
                    this._Password = value;
                }
            }
        }

        public virtual string Referrer
        {
            get
            {
                return this._Referrer;
            }

            set
            {
                if (this.AreDifferent(this._Referrer, value))
                {
                    this._Referrer = value;
                }
            }
        }
    }
}